initialization_state_dcheck.h File Reference
`#include "base/compiler_specific.h"`
`#include "base/logging.h"`
`#include "base/macros.h"`
`#include "build/build_config.h"`
`#include "util/misc/initialization_state.h"`

## Classes

class | crashpad::InitializationStateDcheck
| Tracks whether data are initialized, triggering a DCHECK assertion on an invalid data access. More...

## Namespaces

| crashpad
| The main namespace.

## Macros

#define | INITIALIZATION_STATE_SET_INITIALIZING(initialization_state_dcheck)
| Checks that a crashpad::InitializationStateDcheck object is in the crashpad::InitializationState::kStateUninitialized state, and changes its state to initializing (crashpad::InitializationState::kStateInvalid). More...
#define | INITIALIZATION_STATE_SET_VALID(initialization_state_dcheck)
| Checks that a crashpad::InitializationStateDcheck object is in the initializing (crashpad::InitializationState::kStateInvalid) state, and changes its state to crashpad::InitializationState::kStateValid. More...
#define | INITIALIZATION_STATE_DCHECK_VALID(initialization_state_dcheck)
| Checks that a crashpad::InitializationStateDcheck object is in the crashpad::InitializationState::kStateValid state. More...

## Macro Definition Documentation

## INITIALIZATION_STATE_DCHECK_VALID

#define INITIALIZATION_STATE_DCHECK_VALID | ( |  | initialization_state_dcheck | ) |

Value:
DCHECK_EQ((initialization_state_dcheck).state(), \
(initialization_state_dcheck).kStateValid)

Checks that a crashpad::InitializationStateDcheck object is in the crashpad::InitializationState::kStateValid state.

If the object is not in the correct state, a DCHECK assertion is triggered.

Parameters

  [in] | initialization_state_dcheck | A crashpad::InitializationStateDcheck object.

See also
  crashpad::InitializationStateDcheck

## INITIALIZATION_STATE_SET_INITIALIZING

#define INITIALIZATION_STATE_SET_INITIALIZING | ( |  | initialization_state_dcheck | ) |

Value:
DCHECK_EQ((initialization_state_dcheck).SetInitializing(), \
(initialization_state_dcheck).kStateUninitialized)

Checks that a crashpad::InitializationStateDcheck object is in the crashpad::InitializationState::kStateUninitialized state, and changes its state to initializing (crashpad::InitializationState::kStateInvalid).

If the object is not in the correct state, a DCHECK assertion is triggered and the object’s state remains unchanged.

Parameters

  [in] | initialization_state_dcheck | A crashpad::InitializationStateDcheck object.

See also
  crashpad::InitializationStateDcheck

## INITIALIZATION_STATE_SET_VALID

#define INITIALIZATION_STATE_SET_VALID | ( |  | initialization_state_dcheck | ) |

Value:
DCHECK_EQ((initialization_state_dcheck).SetValid(), \
(initialization_state_dcheck).kStateInvalid)

Checks that a crashpad::InitializationStateDcheck object is in the initializing (crashpad::InitializationState::kStateInvalid) state, and changes its state to crashpad::InitializationState::kStateValid.

If the object is not in the correct state, a DCHECK assertion is triggered and the object’s state remains unchanged.

Parameters

  [in] | initialization_state_dcheck | A crashpad::InitializationStateDcheck object.

See also
  crashpad::InitializationStateDcheck